# Patient _search

`POST /Patient/_search`

This resource establishes demographics and identifiers for an individual visiting or receiving treatment from a healthcare organization. A patient record serves as the most common base for data being exchanged since it establishes the “who” behind the data. 

You can review, retrieve, create, or update patient records. 

The other operations are specific to <u>**Verato**</u> and <u>**CMS ACCESS**</u> (<u>**Advancing Chronic Care with Effective, Scalable Solutions**</u>). You must register and be approved to participate in CMS ACCESS. [Learn more about CMS ACCESS](https://www.cms.gov/priorities/innovation/innovation-models/access).

> **Supported fields and schema examples**
>
> We support any valid FHIR field. However, we only display fields we’ve defined in our schema, which are usually based on what’s included in the U.S. Core profile. We recommend relying on U.S. Core requirements. 
>
> Our schema examples show the shape and possibility of each FHIR resource; they aren’t code for real-time API calls. We don’t currently recommend copying and pasting these schema examples for your API calls. [Consider reviewing FHIR API actions](/fhir-api-actions) for realistic examples for particular use cases.

### \_search

Query for patient records. Learn about: 

- [searching with identifiers](https://docs.redoxengine.com/permalink/5e0yscQYUBPKCge6FXIsu1)
- [searching with demographics](https://docs.redoxengine.com/permalink/3l2ZHJQFMMa8jVjSRLZwhz)

> **Flexible FHIR queries, different query parameters**
>
> FHIR queries are a flexible option with parameters to refine your search. The response returns a bundle of resources, known as a `searchset` bundle type. [Learn about bundles and bundle types](https://docs.redoxengine.com/permalink/23Q1Oku3NdxxvwYnQGJVrg) in our FHIR glossary.
>
> We add a `required` label only to query parameters _a FHIR server requires if you query it directly_. Remember that Redox <u>**data on demand**</u> isn’t a FHIR server, and your connection may not be either.
>
> _Query parameters vary between sites._ Work with your connection to find out which query parameters they require for a successful search.

###### Data on demand requirements

For data on demand searches, you must include at least one of these sets of query parameters: 

- `_id`
- `identifier` ([learn about handling FHIR identifiers](https://docs.redoxengine.com/permalink/3D5vEc8GfbxZ0SLhMbLfuQ))
- given name, family name, and birthdate

## Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `identifier` | Array of string | No | One or more external identifiers for the patient |
| `active` | Array of string | No | Whether or not the patient record is active |
| `general-practitioner` | Array of string | No | Patient's nominated general practitioner, not the organization that manages the record |
| `general-practitioner.identifier` | Array of string | No | One or more external identifiers for the practitioner |
| `given` | Array of string | No | The given (first or middle) name of the patient |
| `family` | Array of string | No | The family name of the patient |
| `birthdate` | Array of string | No | The patient's date of birth |
| `gender` | Array of string | No | Gender of the patient |
| `address-line` | Array of string | No | A line specified in an address |
| `address-city` | Array of string | No | A city specified in an address |
| `address-state` | Array of string | No | A state specified in an address |
| `address-postalcode` | Array of string | No | A postalCode (in the US, a ZIP code) specified in an address |
| `phone` | Array of string | No | A value in a phone contact |
| `email` | Array of string | No | A value in an email contact |
| `_revinclude` | Array of string | No | Set to Coverage:beneficiary and Account:subject to include insurance-related resources |

## Request example

_Generated from the schema: the values are placeholders, not a real payload._

```bash
curl 'https://api.redoxengine.com/fhir/R4/{destinationSlug}/{environmentFlag}/Patient/_search' \
--request POST \
--header 'Authorization: Bearer $API_TOKEN' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode '_revinclude=string' \
--data-urlencode 'identifier=string' \
--data-urlencode 'active=string' \
--data-urlencode 'general-practitioner=string' \
--data-urlencode 'general-practitioner.identifier=string' \
--data-urlencode 'given=string' \
--data-urlencode 'family=string' \
--data-urlencode 'birthdate=string' \
--data-urlencode 'gender=string' \
--data-urlencode 'address-line=string' \
--data-urlencode 'address-city=string' \
--data-urlencode 'address-state=string' \
--data-urlencode 'address-postalcode=string' \
--data-urlencode 'phone=string' \
--data-urlencode 'email=string'
```

## Responses

### 200

Search results (Bundle)

Response to a Patient search operation containing only patient resources

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: Bundle |
| `type` | string | Yes | Identifies this bundle as a response to a search. Value: searchset |
| `total` | number | Yes | The total number of matches |
| `entry` | Array of Patient or Other | No | A resource matching the search criteria or related to a matching resource |
| `entry[] (Patient).resource` | object | Yes | Information about an individual receiving health care services |
| `entry[] (Patient).resource.resourceType` | string | Yes | Identifies the type of the resource. Value: Patient |
| `entry[] (Patient).resource.identifier` | Array of object | Yes | An identifier for this patient. |
| `entry[] (Patient).resource.identifier[].system` | string | Yes | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `entry[] (Patient).resource.identifier[].value` | string | Yes | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `entry[] (Patient).resource.identifier[].extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Patient).resource.identifier[].extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Patient).resource.identifier[].extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Patient).resource.identifier[].extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Patient).resource.identifier[].extension[] (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Patient).resource.identifier[].extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Patient).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Patient).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Patient).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Patient).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Patient).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Patient).resource.identifier[].extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Patient).resource.identifier[].extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Patient).resource.identifier[].extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Patient).resource.identifier[].extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Patient).resource.identifier[].extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Patient).resource.identifier[].extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Patient).resource.identifier[].extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Patient).resource.identifier[].extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Patient).resource.identifier[].extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Patient).resource.identifier[].extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Patient).resource.identifier[].extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Patient).resource.identifier[].extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Patient).resource.identifier[].use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `entry[] (Patient).resource.name` | Array of object | Yes | A name associated with the individual. |
| `entry[] (Patient).resource.name[].family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Patient).resource.name[].given` | Array of string | No | Given name. |
| `entry[] (Patient).resource.name[].use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Patient).resource.gender` | string | Yes | Administrative Gender - the gender that the patient is considered to have for administration and record keeping purposes. Possible values: (USCDI) male, female, other, unknown |
| `entry[] (Patient).resource.id` | string | No | The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes. |
| `entry[] (Patient).resource.extension` | Array of race or ethnicity or birthsex or patient-citizenship or Other | No | Additional information about patients not represented by standard FHIR fields. |
| `entry[] (Patient).resource.extension[] (race).extension` | Array of ombCategory or text | Yes | Sub-extensions to carry more information about the patient's ethnicity |
| `entry[] (Patient).resource.extension[] (race).extension[] (ombCategory).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: ombCategory |
| `entry[] (Patient).resource.extension[] (race).extension[] (ombCategory).valueCoding` | object | Yes | Value of extension - must be one of a constrained set of the data types (see [Extensibility](http://hl7.org/fhir/R4/extensibility.html) for a list). |
| `entry[] (Patient).resource.extension[] (race).extension[] (ombCategory).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Patient).resource.extension[] (race).extension[] (ombCategory).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Patient).resource.extension[] (race).extension[] (text).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: text |
| `entry[] (Patient).resource.extension[] (race).extension[] (text).valueString` | string | Yes | Value of extension - must be one of a constrained set of the data types (see [Extensibility](http://hl7.org/fhir/R4/extensibility.html) for a list). |
| `entry[] (Patient).resource.extension[] (race).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/us/core/StructureDefinition/us-core-race |
| `entry[] (Patient).resource.extension[] (ethnicity).extension` | Array of ombCategory or text | Yes | An Extension |
| `entry[] (Patient).resource.extension[] (ethnicity).extension[] (ombCategory).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: ombCategory |
| `entry[] (Patient).resource.extension[] (ethnicity).extension[] (ombCategory).valueCoding` | object | Yes | Value of extension - must be one of a constrained set of the data types (see [Extensibility](http://hl7.org/fhir/R4/extensibility.html) for a list). |
| `entry[] (Patient).resource.extension[] (ethnicity).extension[] (ombCategory).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Patient).resource.extension[] (ethnicity).extension[] (ombCategory).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Patient).resource.extension[] (ethnicity).extension[] (text).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: text |
| `entry[] (Patient).resource.extension[] (ethnicity).extension[] (text).valueString` | string | Yes | Value of extension - must be one of a constrained set of the data types (see [Extensibility](http://hl7.org/fhir/R4/extensibility.html) for a list). |
| `entry[] (Patient).resource.extension[] (ethnicity).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/us/core/StructureDefinition/us-core-ethnicity |
| `entry[] (Patient).resource.extension[] (birthsex).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/us/core/StructureDefinition/us-core-birthsex |
| `entry[] (Patient).resource.extension[] (birthsex).valueCode` | string | Yes | Value of extension - must be one of a constrained set of the data types (see [Extensibility](http://hl7.org/fhir/R4/extensibility.html) for a list). Only one of `valueBase64Binary`, `valueBoolean`, `valueCanonical`, `valueCode`, `valueDate`, `valueDateTime`, `valueDecimal`, `valueId`, `valueInstant`, `valueInteger`, `valueMarkdown`, `valueOid`, `valuePositiveInt`, `valueString`, `valueTime`, `valueUnsignedInt`, `valueUri`, `valueUrl`, `valueUuid`, `valueAddress`, `valueAge`, `valueAnnotation`, `valueAttachment`, `valueCodeableConcept`, `valueCoding`, `valueContactPoint`, `valueCount`, `valueDistance`, `valueDuration`, `valueHumanName`, `valueIdentifier`, `valueMoney`, `valuePeriod`, `valueQuantity`, `valueRange`, `valueRatio`, `valueReference`, `valueSampledData`, `valueSignature`, `valueTiming`, `valueContactDetail`, `valueContributor`, `valueDataRequirement`, `valueExpression`, `valueParameterDefinition`, `valueRelatedArtifact`, `valueTriggerDefinition`, `valueUsageContext`, `valueDosage`, `valueMeta` may be present. Possible values: M, F |
| `entry[] (Patient).resource.extension[] (patient-citizenship).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/patient-citizenship |
| `entry[] (Patient).resource.extension[] (patient-citizenship).extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Patient).resource.extension[] (patient-citizenship).extension[].url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: code |
| `entry[] (Patient).resource.extension[] (patient-citizenship).extension[].valueCodeableConcept` | object | Yes | Value of extension - must be one of a constrained set of the data types (see [Extensibility](http://hl7.org/fhir/R4/extensibility.html) for a list). |
| `entry[] (Patient).resource.extension[] (patient-citizenship).extension[].valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Patient).resource.extension[] (patient-citizenship).extension[].valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Patient).resource.extension[] (patient-citizenship).extension[].valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Patient).resource.extension[] (patient-citizenship).extension[].valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Patient).resource.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (Patient).resource.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Patient).resource.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Patient).resource.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Patient).resource.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Patient).resource.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Patient).resource.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Patient).resource.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Patient).resource.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Patient).resource.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Patient).resource.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Patient).resource.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Patient).resource.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Patient).resource.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Patient).resource.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Patient).resource.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Patient).resource.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Patient).resource.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Patient).resource.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Patient).resource.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Patient).resource.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Patient).resource.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Patient).resource.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Patient).resource.active` | boolean | No | Whether this patient record is in active use. Many systems use this property to mark as non-current patients, such as those that have not been seen for a period of time based on an organization's business rules. It is often used to filter patient lists to exclude inactive patients Deceased patients may also be marked as inactive for the same reasons, but may be active for some time after death. |
| `entry[] (Patient).resource.telecom` | Array of object | No | A contact detail (e.g. a telephone number or an email address) by which the individual may be contacted. |
| `entry[] (Patient).resource.telecom[].system` | string | Yes | Telecommunications form for contact point - what communications system is required to make use of the contact. Possible values: email, fax, other, pager, sms, url |
| `entry[] (Patient).resource.telecom[].value` | string | Yes | The actual contact point details, in a form that is meaningful to the designated communication system (i.e. phone number or email address). |
| `entry[] (Patient).resource.telecom[].use` | string | No | Identifies the purpose for the contact point. Possible values: mobile, old, temp, work |
| `entry[] (Patient).resource.birthDate` | string | No | The date of birth for the individual. |
| `entry[] (Patient).resource.address` | Array of object | No | An address for the individual. |
| `entry[] (Patient).resource.address[].line` | Array of string | No | This component contains the house number, apartment number, street name, street direction,  P.O. Box number, delivery hints, and similar address information. |
| `entry[] (Patient).resource.address[].city` | string | No | The name of the city, town, suburb, village or other community or delivery center. |
| `entry[] (Patient).resource.address[].state` | string | No | Sub-unit of a country with limited sovereignty in a federally organized country. A code may be used if codes are in common use (e.g. US 2 letter state codes). |
| `entry[] (Patient).resource.address[].postalCode` | string | No | A postal code designating a region defined by the postal service. |
| `entry[] (Patient).resource.address[].use` | string | No | The purpose of this address. Possible values: home, work, temp, old, billing |
| `entry[] (Patient).resource.address[].district` | string | No | The name of the administrative area (county). |
| `entry[] (Patient).resource.address[].country` | string | No | Country - a nation as commonly understood or generally accepted. |
| `entry[] (Patient).resource.contact` | Array of object | No | A contact party (e.g. guardian, partner, friend) for the patient. |
| `entry[] (Patient).resource.contact[].relationship` | Array of object | No | The nature of the relationship between the patient and the contact. Redox sends and recognizes the following values for system: - `http://terminology.hl7.org/CodeSystem/v3-RoleCode` - used as RelationToPatient - `http://terminology.hl7.org/CodeSystem/v2-0131` - used as the ContactRole |
| `entry[] (Patient).resource.contact[].relationship[].coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Patient).resource.contact[].relationship[].coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Patient).resource.contact[].relationship[].coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Patient).resource.contact[].relationship[].text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Patient).resource.contact[].name` | object | No | A name associated with the contact person. |
| `entry[] (Patient).resource.contact[].name.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Patient).resource.contact[].name.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Patient).resource.contact[].name.given` | Array of string | No | Given name. |
| `entry[] (Patient).resource.contact[].telecom` | Array of object | No | A contact detail for the person, e.g. a telephone number or an email address. |
| `entry[] (Patient).resource.contact[].telecom[].system` | string | No | Telecommunications form for contact point - what communications system is required to make use of the contact. Possible values: phone, fax, email, pager, url, sms, other |
| `entry[] (Patient).resource.contact[].telecom[].value` | string | No | The actual contact point details, in a form that is meaningful to the designated communication system (i.e. phone number or email address). |
| `entry[] (Patient).resource.contact[].telecom[].use` | string | No | Identifies the purpose for the contact point. Possible values: home, work, temp, old, mobile |
| `entry[] (Patient).resource.contact[].address` | object | No | Address for the contact person. |
| `entry[] (Patient).resource.contact[].address.use` | string | No | The purpose of this address. Possible values: home, work, temp, old, billing |
| `entry[] (Patient).resource.contact[].address.line` | Array of string | No | This component contains the house number, apartment number, street name, street direction,  P.O. Box number, delivery hints, and similar address information. |
| `entry[] (Patient).resource.contact[].address.city` | string | No | The name of the city, town, suburb, village or other community or delivery center. |
| `entry[] (Patient).resource.contact[].address.district` | string | No | The name of the administrative area (county). |
| `entry[] (Patient).resource.contact[].address.state` | string | No | Sub-unit of a country with limited sovereignty in a federally organized country. A code may be used if codes are in common use (e.g. US 2 letter state codes). |
| `entry[] (Patient).resource.contact[].address.postalCode` | string | No | A postal code designating a region defined by the postal service. |
| `entry[] (Patient).resource.contact[].address.country` | string | No | Country - a nation as commonly understood or generally accepted. |
| `entry[] (Patient).resource.communication` | Array of object | No | A language which may be used to communicate with the patient about his or her health. |
| `entry[] (Patient).resource.communication[].language` | object | Yes | The ISO-639-1 alpha 2 code in lower case for the language, optionally followed by a hyphen and the ISO-3166-1 alpha 2 code for the region in upper case; e.g. "en" for English, or "en-US" for American English versus "en-EN" for England English. |
| `entry[] (Patient).resource.communication[].language.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Patient).resource.communication[].language.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Patient).resource.communication[].language.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Patient).resource.communication[].language.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Patient).resource.generalPractitioner` | Array of object | No | Patient's nominated care provider. Must be a resource of type `Practitioner`. |
| `entry[] (Patient).resource.generalPractitioner[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Patient).resource.managingOrganization` | object | No | Organization that is the custodian of the patient record. Must be a resource of type `Organization`. |
| `entry[] (Patient).resource.managingOrganization.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Patient).resource.link` | Array of object | No | Link to another patient resource that concerns the same actual patient. |
| `entry[] (Patient).resource.link[].other` | object | Yes | The other patient resource that the link refers to. Must be a resource of type `Patient`. |
| `entry[] (Patient).resource.link[].other.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Patient).resource.link[].type` | string | Yes | The type of link between this patient resource and another patient resource. Possible values: replaced-by, replaces |
| `entry[] (Patient).resource.deceasedBoolean` | boolean | No | Indicates if the individual is deceased or not. Only one of `deceasedBoolean`, `deceasedDateTime` may be present. |
| `entry[] (Patient).resource.deceasedDateTime` | string | No | Indicates if the individual is deceased or not. Only one of `deceasedBoolean`, `deceasedDateTime` may be present. |
| `entry[] (Patient).search` | object | Yes | Information about the search process that lead to the creation of this entry. |
| `entry[] (Patient).search.mode` | string | Yes | Identifies the Patient as matching the search parameters. Value: match |
| `entry[] (Other).search` | object | Yes | Information about the search process that lead to the creation of this entry. |
| `entry[] (Other).search.mode` | string | No | Why this entry is in the result set - whether it's included as a match or because of an _include requirement, or to convey information or warning information about the search process. Possible values: match, include, outcome - why this is in the result set |

_Generated from the schema: the values are placeholders, not a real payload._

```json
{
  "resourceType": "Bundle",
  "type": "searchset",
  "total": 0,
  "entry": [
    {
      "resource": {
        "resourceType": "Patient",
        "id": "RedoxPatientExampleTimothy",
        "meta": {
          "extension": [
            {
              "url": "https://fhir.redoxengine.com/StructureDefinition/example-sort-order",
              "valueInteger": 1
            }
          ]
        },
        "extension": [
          {
            "extension": [
              {
                "url": "text",
                "valueString": "White"
              }
            ],
            "url": "http://hl7.org/fhir/us/core/StructureDefinition/us-core-race"
          },
          {
            "extension": [
              {
                "url": "ombCategory",
                "valueCoding": {
                  "code": "2135-2",
                  "system": "urn:oid:2.16.840.1.113883.6.238",
                  "display": "Hispanic or Latino"
                }
              },
              {
                "url": "text",
                "valueString": "Hispanic"
              }
            ],
            "url": "http://hl7.org/fhir/us/core/StructureDefinition/us-core-ethnicity"
          }
        ],
        "identifier": [
          {
            "value": "0000000001",
            "system": "urn:redox:health-one:MR"
          },
          {
            "value": "101-01-0001",
            "system": "http://hl7.org/fhir/sid/us-ssn"
          }
        ],
        "name": [
          {
            "given": [
              "Timothy",
              "Paul"
            ],
            "family": "Bixby",
            "use": "official"
          },
          {
            "text": "Billy",
            "use": "usual"
          }
        ],
        "gender": "male",
        "birthDate": "2008-01-06",
        "telecom": [
          {
            "value": "+18088675301",
            "system": "phone",
            "use": "home"
          },
          {
            "value": "+18008675309",
            "system": "phone",
            "use": "work"
          },
          {
            "value": "timothy.bixby@redoxengine.com",
            "system": "email"
          }
        ],
        "address": [
          {
            "line": [
              "4762 Hickory Street"
            ],
            "city": "Monroe",
            "district": "Greene",
            "state": "WI",
            "postalCode": "53566",
            "country": "US",
            "use": "home"
          }
        ],
        "maritalStatus": {
          "coding": [
            {
              "code": "M",
              "system": "http://hl7.org/fhir/v3/MaritalStatus",
              "display": "Married"
            }
          ],
          "text": "Married"
        },
        "communication": [
          {
            "language": {
              "coding": [
                {
                  "code": "en",
                  "system": "urn:ietf:bcp:47"
                }
              ],
              "text": "English"
            }
          }
        ],
        "contact": [
          {
            "name": {
              "given": [
                "Barbara"
              ],
              "family": "Bixby"
            },
            "telecom": [
              {
                "value": "+18088675303",
                "system": "phone",
                "use": "home"
              },
              {
                "value": "barbara.bixby@redoxengine.com",
                "system": "email"
              }
            ],
            "address": {
              "line": [
                "4762 Hickory St."
              ],
              "city": "Monroe",
              "district": "Green",
              "state": "WI",
              "postalCode": "53566",
              "country": "USA"
            },
            "relationship": [
              {
                "coding": [
                  {
                    "code": "MTH",
                    "system": "http://terminology.hl7.org/CodeSystem/v3-RoleCode",
                    "display": "mother"
                  }
                ],
                "text": "Mother"
              },
              {
                "coding": [
                  {
                    "code": "C",
                    "system": "http://terminology.hl7.org/CodeSystem/v2-0131",
                    "display": "Emergency Contact"
                  }
                ],
                "text": "Emergency Contact"
              }
            ]
          }
        ],
        "generalPractitioner": [
          {
            "reference": "Practitioner/RedoxPractitionerExamplePat"
          }
        ],
        "managingOrganization": {
          "reference": "Organization/RedoxOrganizationManagingExample"
        }
      },
      "search": {
        "mode": "match"
      }
    }
  ]
}
```

### 400

Request could not be processed or failed validation

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: OperationOutcome |
| `issue` | Array of object | Yes | A structured respresentation of the error that occurred |
| `issue[].severity` | string | Yes | Generally `error` or `fatal` Possible values: fatal, error, warning, information |
| `issue[].code` | string | Yes | A FHIR category code that describes the general type of issue. See http://hl7.org/fhir/ValueSet/issue-type for details |
| `issue[].id` | string | No | If the error occurs in the RedoxEngine, this corresponds to an Error record in the organization. |
| `issue[].details` | object | No | Additional details about the error. This may be a text description of the error or a system code that identifies the error. |
| `issue[].details.coding` | Array of object | No | A more granular FHIR code for the specific error. Typically from http://hl7.org/fhir/ValueSet/operation-outcome |
| `issue[].details.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `issue[].details.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `issue[].details.text` | string | No | A human-readable interpretation of the issue code |
| `issue[].diagnostics` | string | No | Additional diagnostic information about the issue. |

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "invalid",
      "details": {
        "coding": [
          {
            "code": "MSG_BAD_SYNTAX",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid content found in request body."
      }
    }
  ]
}
```

### 401

Authorization is required

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "unknown",
      "details": {
        "coding": [
          {
            "code": "MSG_AUTH_REQUIRED",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid authorization token"
      }
    }
  ]
}
```

### 500

Internal server error

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "processing",
      "details": {
        "coding": [
          {
            "code": "MSG_RESOURCE_ID_FAIL",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Unable to allocate resource id."
      }
    }
  ]
}
```

### 503

Service unavailable

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "transient",
      "details": {
        "text": "System is unable to process this message at this time."
      }
    }
  ]
}
```
